/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strreplace.c                                    :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/02/21 12:46:20 by cchauvet          #+#    #+#             */
/*   Updated: 2023/02/21 12:58:44 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "utils.h"

char	*ft_strreplace(const char *str, const char *fill,
		size_t start, size_t stop)
{
	char	*out;
	size_t	sum;

	out = malloc((ft_strlen(str) + ft_strlen(fill) -\
				(stop - start) + 1 * sizeof(char)));
	if (out == NULL)
		return (NULL);
	ft_strncpy(out, str, start);
	ft_strncpy(out + start, fill, ft_strlen(fill));
	sum = start + ft_strlen(fill);
	ft_strncpy(out + sum, str + stop, ft_strlen(str) - stop);
	out[sum + ft_strlen(str) - stop] = '\0';
	return (out);
}
